package model

type Company struct {
	Id        int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name      string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	State     int32  `json:"state" xorm:"not null default 1 comment('状态(1:正常 2:冻结)') TINYINT(1)"`
	LeadName  string `json:"lead_name" xorm:"not null default '' comment('负责人姓名') VARCHAR(50)"`
	LeadPhone string `json:"lead_phone" xorm:"not null default '' comment('负责人手机号') VARCHAR(50)"`
	Memo      string `json:"memo" xorm:"not null default '' comment('备注信息') VARCHAR(244)"`
	CreateAt  string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt  string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
