package model

type Staff struct {
	Id          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name        string `json:"name" xorm:"not null default '' comment('姓名') VARCHAR(255)"`
	Sex         int    `json:"sex" xorm:"not null default 1 comment('性别(1:男 2:女)') TINYINT(1)"`
	IdNo        string `json:"id_no" xorm:"not null default '' comment('身份证号码') VARCHAR(255)"`
	Phone       string `json:"phone" xorm:"not null default '' comment('联系电话') CHAR(50)"`
	NativePlace string `json:"native_place" xorm:"not null default '' comment('籍贯') CHAR(50)"`
	Department  string `json:"department" xorm:"not null default '' comment('部门') CHAR(50)"`
	CreateAt    string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt    string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
